Skip to main content

LinkedIn Post Search

POST /api/v1/post_search

This API allows the authenticated user to get search results related to LinkedIn Posts based on given Search URL.

Search sample URL: https://www.linkedin.com/posts/john-doe_career-advice-growth-7396744346366181376-z5su

Headers

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body

Schema

accountIdstringrequiredThe unique identifier of the WeLink account.
urlstringrequiredThe target URL for the operation.

Sample Request

{
"accountId": "string",
"url": "string"
}

Responses

Webhook Events

Schema

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
profilesarray[]Array of profile results.
paginationobjectPagination metadata.
totalnumberTotal number of results.
pagesnumberTotal number of pages.
POST/api/v1/post_search
x-api-key
x-api-secret